IOSS 2.0

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
vector3d Class Reference

`#include <vector3d.h>`

## Public Member Functions
| vector3d ()
| vector3d (double X, double Y, double Z)
| vector3d (double location[3])
| vector3d (const vector3d &from)
vector3d & | operator= (const vector3d &from)
bool | operator== (const vector3d &from) const
bool | operator!= (const vector3d &from) const
void | set (double X, double Y, double Z)
void | set (double location[3])
vector3d & | reverse ()
vector3d | operator- () const
vector3d & | operator+= (const vector3d &from)
vector3d & | operator-= (const vector3d &from)
vector3d & | operator*= (double scalar)
vector3d & | operator/= (double scalar)
double | length () const
double | normalize (double tolerance=1e-06)
vector3d | cross (const vector3d &from) const

## Static Public Member Functions
static vector3d | plane_normal (const vector3d &v1, const vector3d &v2, const vector3d &v3)

## Public Attributes
double | x {}
double | y {}
double | z {}

## Constructor & Destructor Documentation

## ◆ vector3d() [1/4]

vector3d::vector3d | ( |  | ) |

## ◆ vector3d() [2/4]

vector3d::vector3d | ( | double | X,
|  | double | Y,
|  | double | Z
| ) |  |

## ◆ vector3d() [3/4]

vector3d::vector3d | ( | double | location[3] | ) |
| explicit

## ◆ vector3d() [4/4]

vector3d::vector3d | ( | const vector3d & | from | ) |
| default

## Member Function Documentation

## ◆ cross()

vector3d vector3d::cross | ( | const vector3d & | from | ) | const
| inline

## ◆ length()

double vector3d::length | ( |  | ) | const

## ◆ normalize()

double vector3d::normalize | ( | double | tolerance = `1e-06` | ) |

## ◆ operator!=()

bool vector3d::operator!= | ( | const vector3d & | from | ) | const

## ◆ operator*=()

vector3d & vector3d::operator*= | ( | double | scalar | ) |
| inline

## ◆ operator+=()

vector3d & vector3d::operator+= | ( | const vector3d & | from | ) |
| inline

## ◆ operator-()

vector3d vector3d::operator- | ( |  | ) | const

## ◆ operator-=()

vector3d & vector3d::operator-= | ( | const vector3d & | from | ) |
| inline

## ◆ operator/=()

vector3d & vector3d::operator/= | ( | double | scalar | ) |

## ◆ operator=()

vector3d & vector3d::operator= | ( | const vector3d & | from | ) |
| default

## ◆ operator==()

bool vector3d::operator== | ( | const vector3d & | from | ) | const

## ◆ plane_normal()

vector3d vector3d::plane_normal | ( | const vector3d & | v1,
|  | const vector3d & | v2,
|  | const vector3d & | v3
| ) |  |
| static

## ◆ reverse()

vector3d & vector3d::reverse | ( |  | ) |

## ◆ set() [1/2]

void vector3d::set | ( | double | X,
|  | double | Y,
|  | double | Z
| ) |  |

## ◆ set() [2/2]

void vector3d::set | ( | double | location[3] | ) |

## Member Data Documentation

## ◆ x

double vector3d::x {}

## ◆ y

double vector3d::y {}

## ◆ z

double vector3d::z {}

The documentation for this class was generated from the following files:

- src/main/vector3d.h
- src/main/vector3d.C